import fs from "fs";
import path from "path";
import matter from "gray-matter";
import { remark } from "remark";
import html from "remark-html";

export const dbDirectory = (filePaths) => {
  return path.join(process.cwd(), filePaths);
};

export function getAllPosts(fileDirectory) {
  const directory = path.join(process.cwd(), fileDirectory);
  const fileNames = fs.readdirSync(directory);
  const data = fileNames.map((fileName) => {
    const id = fileName.replace(/\.md$/, "");
    const fullPath = path.join(fileDirectory, fileName);
    const fileContents = fs.readFileSync(fullPath, "utf8");
    const matterResult = matter(fileContents);

    return {
      id,
      ...matterResult.data,
    };
  });
  return data;
}
